# Uses of Enum Class
javafx.scene.text.FontSmoothingType

Packages that use FontSmoothingType
Package
Description
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.
javafx.scene.web
This package provides means for loading and displaying Web content.

## Uses of FontSmoothingType in javafx.scene.canvas

Methods in javafx.scene.canvas that return FontSmoothingType
Modifier and Type
Method
Description
`FontSmoothingType`
GraphicsContext.`getFontSmoothingType()`
Gets the current Font Smoothing Type.
Methods in javafx.scene.canvas with parameters of type FontSmoothingType
Modifier and Type
Method
Description
`void`
GraphicsContext.`setFontSmoothingType(FontSmoothingType fontsmoothing)`
Sets the current Font Smoothing Type.

## Uses of FontSmoothingType in javafx.scene.text

Methods in javafx.scene.text that return FontSmoothingType
Modifier and Type
Method
Description
`final FontSmoothingType`
Text.`getFontSmoothingType()`
Gets the value of the `fontSmoothingType` property.
`static FontSmoothingType`
FontSmoothingType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FontSmoothingType[]`
FontSmoothingType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.text that return types with arguments of type FontSmoothingType
Modifier and Type
Method
Description
`final ObjectProperty<FontSmoothingType>`
Text.`fontSmoothingTypeProperty()`
Specifies a requested font smoothing type : gray or LCD.
Methods in javafx.scene.text with parameters of type FontSmoothingType
Modifier and Type
Method
Description
`final void`
Text.`setFontSmoothingType(FontSmoothingType value)`
Sets the value of the `fontSmoothingType` property.

## Uses of FontSmoothingType in javafx.scene.web

Methods in javafx.scene.web that return FontSmoothingType
Modifier and Type
Method
Description
`final FontSmoothingType`
WebView.`getFontSmoothingType()`
Gets the value of the `fontSmoothingType` property.
Methods in javafx.scene.web that return types with arguments of type FontSmoothingType
Modifier and Type
Method
Description
`final ObjectProperty<FontSmoothingType>`
WebView.`fontSmoothingTypeProperty()`
Specifies a requested font smoothing type : gray or LCD.
Methods in javafx.scene.web with parameters of type FontSmoothingType
Modifier and Type
Method
Description
`final void`
WebView.`setFontSmoothingType(FontSmoothingType value)`
Sets the value of the `fontSmoothingType` property.